

Loading1 = image.load("Menu/Loading1.png")
image.resize(Loading1,480*FIX_SIZEX,272*FIX_SIZEY)

Loading_Bar = image.load("Menu/Loadingbar.png")

for v=1,10 do
amg.mode2d(1)
image.resize(Loading_Bar,v*FIX_X,29*FIX_SIZEY)
image.blit(Loading_Bar,141*FIX_X,178*FIX_Y)
image.blit(Loading1,0,0)
if LANGUAGE == "SPANISH" then 
      screen.print(243*FIX_X,220,"CARGANDO",0.9,CWHITE,CGREY,__ACENTER) 
else  screen.print(243*FIX_X,220,"LOADING",0.9,CWHITE,CGREY,__ACENTER) 
end 

amg.mode2d(0)
amg.update()
screen.flip()
end

Sky = model3d.load("3D_OBJ/Saturn.obj")
CClouds = model3d.load("3D_OBJ/Clouds.obj")
Water = model3d.load("3D_OBJ/Water.obj")

for v=10,60 do
amg.mode2d(1)
image.resize(Loading_Bar,v*FIX_X,29*FIX_SIZEY)
image.blit(Loading_Bar,141*FIX_X,178*FIX_Y)
image.blit(Loading1,0,0)
if LANGUAGE == "SPANISH" then 
      screen.print(243*FIX_X,220*FIX_Y,"CARGANDO",0.9,CWHITE,CGREY,__ACENTER)
      screen.print(60*FIX_X,250*FIX_Y,"agua",0.6,CWHITE,CGREY) 	  
else  screen.print(243*FIX_X,220*FIX_Y,"LOADING",0.9,CWHITE,CGREY,__ACENTER)
      screen.print(60*FIX_X,250*FIX_Y,"Toxic water",0.6,CWHITE,CGREY) 
end 
amg.mode2d(0)
amg.update()
screen.flip()
end

Island = model3d.load("3D_OBJ/Island.obj")
ShipC1 = model3d.load("3D_OBJ/ShipCredits.obj")
ShipC2 = model3d.load("3D_OBJ/ShipCreditsF.obj")

for v=60,160 do
amg.mode2d(1)
image.resize(Loading_Bar,v*FIX_X,29*FIX_SIZEY)
image.blit(Loading_Bar,141*FIX_X,178*FIX_Y)
image.blit(Loading1,0,0)
if LANGUAGE == "SPANISH" then 
      screen.print(243*FIX_X,220*FIX_Y,"CARGANDO",0.9,CWHITE,CGREY,__ACENTER)
      screen.print(60*FIX_X,250*FIX_Y,"Islas",0.6,CWHITE,CGREY) 	  
else  screen.print(243*FIX_X,220*FIX_Y,"LOADING",0.9,CWHITE,CGREY,__ACENTER)
      screen.print(60*FIX_X,250*FIX_Y,"Islands",0.6,CWHITE,CGREY) 
end 
amg.mode2d(0)
amg.update()
screen.flip()
end

BrilloC = texture3d.load("3D_OBJ/BrilloCredit.png",__VRAM)
texture3d.mapping(BrilloC,__ENV,2,3)


model3d.lighting(Sky,1,0)
model3d.lighting(CClouds,1,0)
model3d.lighting(ShipC2,1,0)
--model3d.lighting(Water,1,0)

texture3d.setmulti(ShipC1,1,1,BrilloC)

FUZZY = sound.load("Music/sunstreak.it")
sound.loop(FUZZY)

--/////////////////////////////////////////////
--/////////////////////////////////////////////


--VARIABLES

local AMB = color.new(100,100,100)
local SPEC = color.new(0,0,0)
local naranja = color.new(255,150,0)
local negro = color.new(0,0,0)
local verde = color.new(255,255,255)

local ShipCX = 11
local ShipCZ = 12

local WaterPos = 20;
local WaterPos1 = 120;
local WaterTex = 0.55

local CSpeed = 1
local CFrame = 1


--Big Tittles
if LANGUAGE == "SPANISH" then
      CTittles = {"        ","SPACEBALL","PROGRAMA","ONELUA","AMGLIB (MOTOR 3D)","MODELADO 3D","IMAGEN","IMAGEN","SONIDO","SONIDO"," "," "}
else  CTittles = {"        ","SPACEBALL","SCRIPTING","ONELUA INTERPRETER","AMGLIB (3D engine)","3D MODELLING","IMAGES","IMAGES","music & sound","music & sound"," "," "}
end
--Description texts
if LANGUAGE == "SPANISH" then 
      CText = {"   ","Colaboradores: gdljjrod - davis ","Mills","gdljjrod, Rober Galarga, zerozelta","Andres Margar","Mills\n\nCreado con Blender3d\n\nwww.blender.org","creadas con gimp","foto de Saturno por cassini","Mills\n\n(adlib tracker)","creditos - sunstreak\n\nby Radix","Little planet\n\n\ncreative commons - cc-by\n\n2015"," "}
else  CText = {"   ","Thanks to: gdljjrod - davis","Mills","gdljjrod, Rober Galarga, zerozelta","Andres Margar","Mills\n\nCreated with Blender3d\n\nwww.blender.org","created with gimp","Saturn image by cassini","Mills\n\n(adlib tracker)","credits music - Sunstreak\n\nby Radix","Little Planet\n\n\ncreative commons - cc-by\n\n2015"," "}
end	 

local Cnubes = 490;
local CR_CamY = 40 --13
local CR_CamZ = 19 

local cameraC = cam3d.new()
cam3d.eye(cameraC,{0,40,0})
cam3d.position(cameraC,{0,15,20})

amg.typelight(1,__DIRECTIONAL)
amg.poslight(1,{-1.3,1,-1}) 


cam3d.set(cameraC)

while true do
    --screen.clear(SpaceColor)
	buttons.read()
	 
	amg.begin()
	
	--Set camara normal
	if CR_CamY > 14 then CR_CamY = CR_CamY - 0.05 end
    cam3d.set(cameraC)
	cam3d.eye(cameraC,{0,CR_CamY,0})
	--enable spec
    amg.colorlight(1,color.new(250,230,230),color.new(80,40,40),color.new(250,180,180))
	amg.light(1,1);  
    amg.fog(79,150,color.new(251, 228, 123))	
		model3d.render(ShipC1)
	amg.fog();
	amg.light(1,0);
	--Disable spec
    amg.colorlight(1,color.new(250,250,250),color.new(80,80,80),color.new(20,20,20))	
	amg.light(1,1);--activar luz 1
	
	    model3d.render(Sky);
		amg.fog(79,150,color.new(251, 228, 123))
		model3d.render(ShipC2)
		model3d.render(Island)
		
        model3d.startreflection(Water,1)
		   --model3d.mirror(CClouds,1,2,1) 
		   --model3d.mirror(ShipC1,1,2,1) 
		   model3d.shadow(ShipC1,1,1)
		model3d.finishreflection()
	
		model3d.render(CClouds);
		amg.fog();
			
	amg.light(1,0);--desactivar luz 1
	
	
    --///////EDITAR_OBJETOS y TEXTURAS///////-ROATTE-SCALE
	model3d.scaling(Water,1,{1,1+(math.sin(WaterTex)/2),1})
	WaterTex = WaterTex + 0.05;

	
	if (ShipCX < -90) then 
	    ShipCX = 11 
		ShipCZ = 12
    end
	model3d.position(ShipC1,1,{ShipCX,8,ShipCZ})
	model3d.position(ShipC2,1,{ShipCX,8,ShipCZ})
		ShipCX = ShipCX -0.075;
		ShipCZ = ShipCZ -0.16;	
	
	if Cnubes < -400 then Cnubes = 400 end
	model3d.position(CClouds,1,{Cnubes,0,0})
	Cnubes = Cnubes - 0.13
	
	--TEXT
	if CFrame == 12 then	
          FUZZY = sound.load("Music/SpaceBall_Menu.mp3")
          sound.loop(FUZZY)
          LOADING_MODE = 1;
		  Sky, Clouds, Water, Island, ShipC1, ShipC2 = nil, nil, nil, nil, nil, nil		  
	      collectgarbage()
          os.delay(100)		  
		  Load_Menu_Code()
	end
	
	amg.mode2d(1)
	 --Big Tittles
     screen.print(240*FIX_X,95*FIX_Y,CTittles[CFrame],0.9,naranja,negro,__ACENTER)
	 --Description texts
	 screen.print(240*FIX_X,135*FIX_Y,CText[CFrame],0.7,verde,negro,__ACENTER)
    amg.mode2d(0)
	
	if CSpeed == 340 then CSpeed = 1; CFrame = CFrame + 1 end
    CSpeed = CSpeed + 1;		
	
	
	amg.update()
	screen.flip()
	
    if buttons.triangle then screen.shot() end
	
	
    --GO TO MENU
	if buttons.released.start then	
          FUZZY = sound.load("Music/SpaceBall_Menu.mp3")
          sound.loop(FUZZY)
          LOADING_MODE = 1;
		  Sky, Clouds, Water, Island, ShipC1, ShipC2, BrilloC, Sky2 = nil, nil, nil, nil, nil, nil, nil, nil		  
	      collectgarbage()
          os.delay(100)		  
		  Load_Menu_Code()
	end
end